spring.application.name=config-server
server.port=8888

# Native config
spring.profiles.active=native
# spring.cloud.config.server.native.searchLocations=file://${user.home}/config-repo
spring.cloud.config.server.native.searchLocations=classpath:/config

#Git config
spring.profiles.active=git
spring.cloud.config.server.git.uri=https://gitlab.com/miu3/sa/mini-project-config.git
spring.cloud.config.server.git.clone=true
spring.cloud.config.server.git.default-label=main

#Vault local config
spring.profiles.active=vault
spring.cloud.config.server.vault.port=8200
spring.cloud.config.server.vault.kv-version=2
spring.cloud.config.server.vault.authentication=TOKEN
# spring.cloud.config.server.vault.host=localhost
# spring.cloud.config.server.vault.scheme=http
# spring.cloud.config.server.vault.token=hvs.zWMC5umyEFHzFClb0FgFeNR7

# Vault cloud config
spring.cloud.config.server.vault.host=vault-cluster-public-vault-f9cc42d9.df49c47a.z1.hashicorp.cloud
spring.cloud.config.server.vault.scheme=https
spring.cloud.config.server.vault.namespace=admin
spring.cloud.vault.fail-fast=true
spring.cloud.vault.config.lifecycle.enabled=true
spring.cloud.vault.config.lifecycle.min-renewal=10s
spring.cloud.vault.config.lifecycle.expiry-threshold=1440m
spring.cloud.vault.config.lifecycle.lease-endpoints=Legacy
spring.cloud.config.server.vault.token=${VAULT_TOKEN}
# export VAULT_TOKEN="hvs.CAESIB6mel_Ypsddxk4KKlhInp7FzNQKm-PS1xFykMSLFSCgGicKImh2cy55anJKU2tHZE04SEpwZnlYd0sySGs1cHMuQzdBTmoQ6FA"

